.portfolio .container img {
    max-width: 100%;
    display: block;
}

.portfolio .container figure {
    margin: 0;
    display: grid;
    grid-template-rows: 1fr auto;
    position: relative;
    max-height: 500px;
}

.portfolio .container video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    max-height: 60.25vw;
}

@media screen and (min-width: 601px) {
    .portfolio .container video {
        position: absolute;
    }
}

.portfolio .container figure a > img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.portfolio .container figure a {
    position: relative;
    color: black;
    text-decoration: none;
    overflow: hidden;
}

.portfolio .container figure:hover a .grid-gradient {
    transform: translateY(0);
    transition: 400ms ease-out;
}

.portfolio .container figure a .grid-gradient {
    position: absolute;
    z-index: 1;
    left: 0px;
    bottom: 0px;
    height: 65%;
    width: 100%;
    transform: translateY(100%);
    transition: 400ms ease-out;
    object-fit: fill;
}

.portfolio .container figure:hover a .grid-item-inner-wrapper {
    transform: translateY(0px);
    transition: 300ms ease-out;
    transition-delay: 200ms;
}

.portfolio .container figure a .grid-item-inner-wrapper p {
    color: #fff;
    margin: 0;
}

.portfolio .container figure a .grid-item-inner-wrapper {
    position: absolute;
    z-index: 2;
    left: 10px;
    bottom: 10px;
    transform: translateY(200px);
    transition: 300ms ease-out;
}

.portfolio .container figure a .grid-item-inner-wrapper .grid-item--location {
    font-size: clamp(20px, 3vw, 2rem);
    text-transform: uppercase;
    font-weight: 200;
}

@media (max-width: 600px) {
    .portfolio .container {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .landscape-2 {
        grid-column-end: span 2 !important;
    }
}

.landscape-1 {
    grid-column-end: span 2;
}

.landscape-2 {
    grid-column-end: span 3;
    max-height: 500px;
}

/* Taby */
.portfolio-tabs {
    list-style: none;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    margin-bottom: 20px;
}
.portfolio-tabs li{
    display:flex;
}
.portfolio-tabs li a{
    text-decoration: none;
}
.portfolio-tab {
    cursor: pointer;
    border: 1px solid var(--wp--preset--color--contrast);
    padding-top: 4px;
    padding-right: var(--wp--preset--spacing--30);
    padding-bottom: 4px;
    padding-left: var(--wp--preset--spacing--30);
        color:  var(--wp--preset--color--contrast);
}


.portfolio-tab.active {
    color:#fff;
    background-image: url(https://kolorowasciana.com/wp-content/uploads/2023/10/colorful-gradient-1.webp);
    background-size: 100% 100%;
    border:none;

}

/* Ukryj nieaktywne taby */
.portfolio-tab-content {
    display: none;
}

/* Pokaż aktywną zakładkę */
.portfolio-tab-content.active {
    display: grid !important;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-flow: dense;
    gap: 10px;
}

@media (max-width: 600px) {
    .portfolio-tab-content.active {
        grid-template-columns: repeat(2, 1fr);
    }
}
